Hot News aus dem CAD.de-Newsletter:

Unser Angebot:

  Foren auf CAD.de (alle Foren)
  VBasic / vb.net / vbs / wsh
  GeoSet aus Part im Product ansprechen

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   GeoSet aus Part im Product ansprechen (471 mal gelesen)
Tweety79
Mitglied
Entwicklung Automotive


Sehen Sie sich das Profil von Tweety79 an!   Senden Sie eine Private Message an Tweety79  Schreiben Sie einen Gästebucheintrag für Tweety79

Beiträge: 269
Registriert: 09.12.2007

WPF, VBA, CATScript, Access

erstellt am: 22. Apr. 2016 13:11    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo zusammen,

ich möchte folgendes machen in vb.NET:

-in einem Product habe ich x Parts
-in einem Part mit dem Namen (keine Ahnung)befindet sich ein GeoSet mit dem Namen ("TOLL")
- dieses Geoset möcte ich innerhalb des Parts in dem es sich befindet, kopieren und nochmal einfügen

Dim myCatiaApp As INFITF.Application
Dim myProduct As ProductStructureTypeLib.Product
Dim myProductDoc As ProductStructureTypeLib.ProductDocument
Dim myGeoSet As MECMOD.HybridBodies
Dim myModell As MECMOD.Part

Hier mein Ansatz:


        myModell = myProductDoc.Name("Adaptermodell *,all")    myGeoSet = myProductDoc.Parent.HybridBodies.Item("TOLL*,all")
        myModell.Selection.Clear()
        myModell.Selection.Add(myGeoSet)
      myModell.Selection.Copy()

        myModell.Selection.Clear()
        myModell.Selection.Add(myGeoSet)
        myModell.Selection.PaseSpecial("TOLL")

funzt natürlich nicht, was sonst.

Wie spricht man ein GeoSet eines Parts in einem Product richtig an?
Danke euch!

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

bgrittmann
Ehrenmitglied V.I.P. h.c.
Konstrukteur


Sehen Sie sich das Profil von bgrittmann an!   Senden Sie eine Private Message an bgrittmann  Schreiben Sie einen Gästebucheintrag für bgrittmann

Beiträge: 10840
Registriert: 30.11.2006

erstellt am: 22. Apr. 2016 14:28    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Tweety79 10 Unities + Antwort hilfreich

Servus
Vermutlich ist diese Frage besser im Catia Programmierforum aufgehoben.
Die Schreibweise .Name("Adaptermodell *,all") bzw .Item("TOLL*,all") hab ich bei VB bzw VBA noch nie gesehen, ist das was .net spezifisches? (erinnert mich an oSelection.Search)

Gruß
Bernd

------------------
Warum einfach, wenn es auch kompliziert geht.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Tweety79
Mitglied
Entwicklung Automotive


Sehen Sie sich das Profil von Tweety79 an!   Senden Sie eine Private Message an Tweety79  Schreiben Sie einen Gästebucheintrag für Tweety79

Beiträge: 269
Registriert: 09.12.2007

WPF, VBA, CATScript, Access

erstellt am: 22. Apr. 2016 15:34    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Servus,

ja das mit der Schreibweise (" ...., all") muss in vb.net immer dann sein, wenn vorher Search drin steht. Ob es bei Name( ...) und item ( ... ) auch sein muss, weiß ich eben nicht.
Inzwishcen habe ich es so umgemodelt:

        Dim Sel = myProductDoc.Selection
        Sel.Clear()
        Dim Docs As MECMOD.PartDocument
        Docs = Sel.Item("keine Ahnung")
        myModell = Sel.Part
        myGeoSet = myAdaptermodell.HybridBodies
        myGeoSet1 = myGeoSet.Item("TOLL")
        Sel.Add(myGeoSet1)
        myGeoSet2 = myGeoSet1.Item("TOLL")
        myAdaptermodell.UpdateObject(myGeoSet2)

Jetzt bekomme ich eine Fehlermeldung in der Zeile:

        Docs = Sel.Item("keine Ahnung")

mit der Begründung: Item is not Memeber of Product.
Ich habe aber beim Coding die Möglichkeit Product.Item zu wählen.

Gruß
        Sel.Add(myGeoSet1)
        myGeoSet2 = myGeoSet1.Item("TOLL")
        myAdaptermodell.UpdateObject(myGeoSet2)

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

bgrittmann
Ehrenmitglied V.I.P. h.c.
Konstrukteur


Sehen Sie sich das Profil von bgrittmann an!   Senden Sie eine Private Message an bgrittmann  Schreiben Sie einen Gästebucheintrag für bgrittmann

Beiträge: 10840
Registriert: 30.11.2006

erstellt am: 22. Apr. 2016 16:09    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Tweety79 10 Unities + Antwort hilfreich

Servus
Damit die Diskussion nicht auseinander läuft:

hier geht es weiter.

Gruß
Bernd

------------------
Warum einfach, wenn es auch kompliziert geht.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2019 CAD.de | Impressum | Datenschutz